# Class Tools

Namespace: Thelia\Tpex
Located at core/lib/Thelia/Tpex/Tools.php

Methods summary
`public static mixed` | # `extractValueParam( string $needle, string $haystack )` search needle into haystask string. exemple : $haystack => type="foo" id="loop1" param1="value1" Tools::extractValueParam("type", $haystack) returns foo #### Parameters $needle `string` $needle $haystack `string` $haystack #### Returns `mixed`
`public static integer` | # `sortArray( mixed $a, mixed $b )` sort variable array. the more longer must be first #### Parameters $a `mixed` $a $b `mixed` $b #### Returns `integer`